<!-- <div class="team-prof">
  <div class="team-prof-back">
    <img src="../../../assets/team-member-background.jpg" alt="team-prof-back" />
  </div>
  <div class="team-prof-avatar">
    <img src="../../../assets/team-brokerage-avatar.png" alt="team-prof-avatar"/>
  </div>
</div> -->
<div class="team-profile">
  <div class="team-brokerage-avatar">
    <img src="../../../assets/team-brokerage-avatar.png" 
      onerror="javascript:this.src='../../../assets/team-member-avatar.jpg'" 
      alt="team-member-avatar"/>
  </div>
  
  <div class="team-user-logo">
    <img src="../../../assets/team-member-avatar.jpg" alt="team user logo" />
  </div> 
</div>
<div class="team-member-contact">
  <!-- <div class="team-member-username">Nirbhai Sidhu</div> -->
  <!-- <div class="team-is_listing">Is this your listing?</div> -->
  <div class="team-associate"><span>Associate : </span>EstateView</div>
</div>
<div class="team-member-phone">
  <div class="" *ngFor="let element of phone_list">
    <mat-icon>phone</mat-icon><span>{{element.phone_number}}({{element.description}})</span>
  </div>
  <div>
    <mat-icon>place</mat-icon><span>{{member_address}}</span>
  </div>
</div>

<div fxLayout="row wrap" fxLayoutGap="16px grid">

  <div fxFlex="100%">
    <mat-form-field appearance="outline">
      <mat-label>Address</mat-label>
      <input matInput placeholder="Address" [(ngModel)]='address' value="">
    </mat-form-field>
  </div>

  <!-- <div fxFlex="100%">
    <mat-form-field appearance="outline">
      <mat-label>Why you want to see home value</mat-label>
      <mat-select [(ngModel)]="selectedwhy" name="select_why">
        <mat-option value="1">want to sell now</mat-option>
        <mat-option value="2">want to sell later in two month</mat-option>
        <mat-option value="3">want to sell after buy another house</mat-option>
        <mat-option value="4">want to refinance to get some money out</mat-option>
        <mat-option value="5">just curious  , the house value not selling</mat-option>
      </mat-select>
    </mat-form-field>
  </div> -->

  <div fxFlex="50%">
    <mat-form-field appearance="outline">
      <mat-label>First Name</mat-label>
      <input matInput placeholder="First Name" [formControl]="firstName" [(ngModel)]='str_first_name' required (ngModelChange)="inputChange($event)">
      <mat-error *ngIf="firstName.invalid">{{getFirstNameErrorMessage()}}</mat-error>
    </mat-form-field>
  </div>

  <div fxFlex="50%">
    <mat-form-field appearance="outline">
      <mat-label>Last Name</mat-label>
      <input matInput placeholder="Last Name" [formControl]="lastName" [(ngModel)]='str_last_name' required (ngModelChange)="inputChange($event)">
      <mat-error *ngIf="lastName.invalid">{{getLastNameErrorMessage()}}</mat-error>
    </mat-form-field>
  </div>

  <div fxFlex="100%">
    <mat-form-field appearance="outline">
      <mat-label>Phone</mat-label>
      <input matInput placeholder="Phone" [formControl]="phone" [(ngModel)]='str_phone' required (ngModelChange)="inputChange($event)">
      <mat-error *ngIf="phone.invalid">{{getPhoneErrorMessage()}}</mat-error>
    </mat-form-field>
  </div>

  <div fxFlex="100%">
    <mat-form-field appearance="outline">
      <mat-label>Enter your email</mat-label>
      <input matInput placeholder="pat@example.com" [formControl]="email" [(ngModel)]='str_email' required (ngModelChange)="inputChange($event)">
      <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error>
    </mat-form-field>
  </div>

  <div fxFlex="50%">
    <mat-form-field appearance="outline">
      <mat-label>Select Type</mat-label>
      <mat-select name="selectedType" (selectionChange)="onChangeType($event)">
        <mat-option *ngFor="let element of typeList" [value]="element._id">
          {{element.type}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  <div fxFlex="50%">
    <mat-form-field appearance="outline">
      <mat-label>Select SubType</mat-label>
      <mat-select name="selectedSubType" (selectionChange)="onChangeSubType($event)">
        <mat-option *ngFor="let element of subtypeList" [value]="element._id">
          {{element.subtype}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  
  <div fxFlex="100%" *ngIf="addMessage == true">
    <mat-form-field appearance="outline">
      <mat-label>Message</mat-label>
      <textarea matInput placeholder="Message" rows="5" [(ngModel)]="str_msg"></textarea>
    </mat-form-field>
  </div>
  <div class="addMessageBtn message-checkbox-border" fxFlex="100%" *ngIf="addMessage == false" (click)="showMessage()">
    <span>+ Add Message</span>
  </div>
  <div fxFlex="100%" class="message-checkbox-border">
    <mat-checkbox class="example-margin">I am giving permission to Nirbhai Sidhu and his team member to contact me for more info and facilitate this transaction to buy and mortgage for property</mat-checkbox>
  </div>

  <div fxFlex="100%" class="request-button">
    <button mat-raised-button (click)="getHomeValue()" [disabled]="isDisable">Get Home Value</button>
  </div>

</div>